Bug 226063 - Merge Review: libXau
Summary: Merge Review: libXau
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:29 UTC by Nobody's working on this, feel free to take it
Modified: 2009-08-24 06:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-24 06:33:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:29:33 UTC
Fedora Merge Review: libXau

http://cvs.fedora.redhat.com/viewcvs/devel/libXau/
Initial Owner: sandmann@redhat.com

Comment 1 Adam Jackson 2009-02-21 20:56:33 UTC
Cleaned up most of the usual problems in 1.0.4-2.  rpmlint comes back silent.

Comment 2 Parag AN(पराग) 2009-07-24 11:04:03 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1497693
- rpmlint is NOT silent for SRPM and for RPM.
libXau.src: W: name-repeated-in-summary libXau
libXau.src: W: patch-not-applied Patch0: xau-1.0.4-local.patch
libXau.i686: W: name-repeated-in-summary libXau

+ source files match upstream url
d73880b97fc7ddb8d8f59e1cd968337427e20ec2  libXau-1.0.4.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ .pc file present.
+ -devel subpackage present.
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package  libXau-1.0.4-6.fc12.i686 =>
Provides: libXau.so.6
Requires: libXau.so.6 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) rtld(GNU_HASH)
+ Package Processing files: libXau-devel-1.0.4-6.fc12.i686
Provides: pkgconfig(xau) = 1.0.4
Requires: /usr/bin/pkg-config libXau.so.6 pkgconfig(xproto)

Should:
1) fix rpmlint messages
2) follow http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps

Comment 3 Parag AN(पराग) 2009-08-24 06:33:25 UTC
Approved build libXau-1.0.4-8.fc12


Note You need to log in before you can comment on or make changes to this bug.